import http from '@/http'

// export const list = params => http.post('/api/menu/list', { params }) // 菜单列表
// export const add = data => http.post('/api/menu/save', data) // 新增菜单
// export const edit = data => http.post('/api/menu/modify', data) // 编辑菜单
// export const del = data => http.post('/api/menu/remove', data) // 删除菜单

// export const list = data => http.post('/ls_user_rebuild/api/v1/menu/list', data) // 菜单列表
export const save = data => http.post('/ls_user_rebuild/api/v1/menu/save', data) // 菜单保存
export const editMenuDetail = data => http.post('/api/v1/menu/modify', data) // 编辑菜单java
export const saveNewMenu = data => http.post('/api/v1/menu/save', data) // 保存新菜单java
export const getSystemAllMenuList = params => http.get('/api/v1/menu/list', { params }) // 查询系统所有的菜单java
export const getMenuDetail = params => http.get('/api/v1/menu/myMenu', { params }) // 查询菜单详情java
export const menuAll = data => http.post('/ls_user_rebuild/api/v1/menu/all', data) // 所有菜单
// export const menuDel = data => http.post('/ls_user_rebuild/api/v1/menu/delete', data) // 删除菜单
export const menuDel = data => http.post('/api/v1/menu/remove', data) // 删除菜单java

